Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.calendar
Class ReservationDialogModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.calendar.ReservationDialogModel

All Implemented Interfaces:
  java.io.Serializable

public class ReservationDialogModel
extends DialogModel
implements java.io.Serializable

This class represents the data model for the add appointment page (`add_appointment.jsp`).

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_NUMBER_RESOURCES_PER_PAGE`

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`ReservationDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`AddressBook[]` | `getAddressBooks()` Gets the address books.
`java.lang.String` | `getCurrentAddressBookID()` Gets the current address book ID.
`Pagination` | `getPagination()` Gets the pagination.
`Resource[]` | `getResources()` Gets the resources.
`boolean` | `isRoom()` Checks if displaying rooms.
`void` | `setAddressBooks(AddressBook[] addressBooks)` Sets the address books.
`void` | `setCurrentAddressBookID(java.lang.String sCurrentAddressBookID)` Sets the current address book ID.
`void` | `setIsRoom(boolean bIsRoom)` Sets the displaying rooms flag.
`void` | `setPagination(Pagination pagination)` Sets the pagination.
`void` | `setResources(Resource[] resources)` Sets the resources.

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NUMBER_RESOURCES_PER_PAGE

    public static final int DEFAULT_NUMBER_RESOURCES_PER_PAGE

See Also:
  Constant Field Values

Constructor Detail

### ReservationDialogModel

    public ReservationDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                  GroupwarePreferences groupwarePrefs,
                                  java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getAddressBooks

    public AddressBook[] getAddressBooks()

  Gets the address books.

  Returns:
    the address books

### setAddressBooks

    public void setAddressBooks(AddressBook[] addressBooks)

  Sets the address books.

  Parameters:
    `addressBooks` - the address books (may not be `null`)

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination (may not be `null`)

### getResources

    public Resource[] getResources()

  Gets the resources.

  Returns:
    the resources

### setResources

    public void setResources(Resource[] resources)

  Sets the resources.

  Parameters:
    `resources` - the resources (may not be `null`)

### isRoom

    public boolean isRoom()

  Checks if displaying rooms.

  Returns:
    `true` if displaying rooms, or `false` otherwise

### setIsRoom

    public void setIsRoom(boolean bIsRoom)

  Sets the displaying rooms flag.

  Parameters:
    `bIsRoom` - `true` if displaying rooms, or `false` otherwise

### getCurrentAddressBookID

    public java.lang.String getCurrentAddressBookID()

  Gets the current address book ID.

  Returns:
    the current address book ID

### setCurrentAddressBookID

    public void setCurrentAddressBookID(java.lang.String sCurrentAddressBookID)

  Sets the current address book ID.

  Parameters:
    `sCurrentAddressBookID` - the current address book ID

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.